part of mapmyindia_gl;

class MapmyIndiaNearbyReport {

  final LatLng topLeft;
  final LatLng bottomRight;

  MapmyIndiaNearbyReport(this.topLeft, this.bottomRight);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> optionsMap = <String, dynamic>{};

    void addIfNonNull(String fieldName, dynamic value) {
      if (value != null) {
        optionsMap[fieldName] = value;
      }
    }

    addIfNonNull('topLeft', this.topLeft.toJson());
    addIfNonNull('bottomRight', this.bottomRight.toJson());
    return optionsMap;
  }

  Future<NearbyReportResponse?> nearbyReport() async {
    try {
      String? result = await restApi.nearbyReport(toJson());
      return result != null
          ? NearbyReportResponse.fromMap(json.decode(result))
          : null;
    } on PlatformException catch (e) {
      return Future.error(e);
    }
  }
}