part of mapmyindia_gl;

class NearbyReportResponse {
  List<NearbyReportResult>? nearbyReports;
  NearbyReportPagination? pagination;

  static NearbyReportResponse fromMap(Map<String, dynamic> map) {
    NearbyReportResponse nearbyReportResponse = NearbyReportResponse();
    if (map.containsKey('reports')) {
      List<dynamic> values = map['reports'] as List<dynamic>;
      nearbyReportResponse.nearbyReports = List.generate(
          values.length, (index) => NearbyReportResult.fromMap(values[index]));
    }
    if (map.containsKey("pagination")) {
      nearbyReportResponse.pagination = NearbyReportPagination.fromMap(
          map['pagination'] as Map<String, dynamic>);
    }
    return nearbyReportResponse;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> map = <String, dynamic>{};

    if (nearbyReports != null) {
      map['reports'] = List.generate(
          nearbyReports!.length, (index) => nearbyReports![index].toJson());
    }
    map['pagination'] = pagination?.toJson();

    return map;
  }
}

class NearbyReportResult {
  String? id;
  int? createdOn;
  double? longitude;
  double? latitude;
  String? category;
  double? bearing;
  String? parentCategory;
  String? childCategory;
  String? address;
  String? status;
  String? reportIcon;
  String? userProfileIcon;
  String? addedByName;
  String? addedBy;
  int? expiry;
  int? usersCount;
  String? description;
  String? iconBaseUrl;

  static NearbyReportResult fromMap(Map<String, dynamic> map) {
    NearbyReportResult nearbyReportResult = NearbyReportResult();
    nearbyReportResult.id = map['id'];
    nearbyReportResult.createdOn = map['createdOn'];
    nearbyReportResult.longitude = map['longitude'];
    nearbyReportResult.latitude = map['latitude'];
    nearbyReportResult.category = map['category'];
    nearbyReportResult.bearing = map['bearing'];
    nearbyReportResult.parentCategory = map['parentCategory'];
    nearbyReportResult.childCategory = map['childCategory'];
    nearbyReportResult.address = map['address'];
    nearbyReportResult.status = map['status'];
    nearbyReportResult.reportIcon = map['reportIcon'];
    nearbyReportResult.userProfileIcon = map['userProfileIcon'];
    nearbyReportResult.addedByName = map['addedByName'];
    nearbyReportResult.addedBy = map['addedBy'];
    nearbyReportResult.expiry = map['expiry'];
    nearbyReportResult.usersCount = map['usersCount'];
    nearbyReportResult.description = map['description'];
    nearbyReportResult.iconBaseUrl = map['iconBaseUrl'];

    return nearbyReportResult;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> map = <String, dynamic>{};

    void addIfNonNull(String fieldName, dynamic value) {
      if (value != null) {
        map[fieldName] = value;
      }
    }

    addIfNonNull('id', id);
    addIfNonNull('createdOn', createdOn);
    addIfNonNull('longitude', longitude);
    addIfNonNull('latitude', latitude);
    addIfNonNull('category', category);
    addIfNonNull('bearing', bearing);
    addIfNonNull('parentCategory', parentCategory);
    addIfNonNull('childCategory', childCategory);
    addIfNonNull('address', address);
    addIfNonNull('status', status);
    addIfNonNull('reportIcon', reportIcon);
    addIfNonNull('userProfileIcon', userProfileIcon);
    addIfNonNull('addedByName', addedByName);
    addIfNonNull('addedBy', addedBy);
    addIfNonNull('expiry', expiry);
    addIfNonNull('usersCount', usersCount);
    addIfNonNull('description', description);
    addIfNonNull('iconBaseUrl', iconBaseUrl);
    return map;
  }
}

class NearbyReportPagination {
  int? totalItems;

  static NearbyReportPagination fromMap(Map<String, dynamic> map) {
    NearbyReportPagination pagination = NearbyReportPagination();
    pagination.totalItems = map["totalItems"];
    return pagination;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> map = <String, dynamic>{};

    void addIfNonNull(String fieldName, dynamic value) {
      if (value != null) {
        map[fieldName] = value;
      }
    }

    addIfNonNull('totalItems', totalItems);
    return map;
  }
}
