part of mapmyindia_gl;

class GeoAnalyticsListResponse {
  int? responseCode;
  String? version;
  int? totalFeatureCount;
  GeoAnalyticsListResult? results;

  static GeoAnalyticsListResponse fromMap(Map<String, dynamic> map) {
    GeoAnalyticsListResponse response = GeoAnalyticsListResponse();
    response.responseCode = map['responseCode'] as int?;
    response.version = map['version'] as String?;
    response.totalFeatureCount = map['total_feature_count'] as int?;
    if (map.containsKey('results')) {
      response.results = GeoAnalyticsListResult.fromMap(map['results']);
    }
    return response;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> map = {
      "responseCode": responseCode,
      'version': version,
      'total_feature_count': totalFeatureCount
    };
    if (results != null) {
      map['results'] = results!.toJson();
    }

    return map;
  }
}

class GeoAnalyticsListResult {
  String? apiName;
  String? attribute;
  List<GeoAnalyticsValue>? getAttrValues;

  static GeoAnalyticsListResult fromMap(Map<String, dynamic> map) {
    GeoAnalyticsListResult result = GeoAnalyticsListResult();
    result.apiName = map['api_name'] as String?;
    result.attribute = map['attribute'] as String?;
    if (map.containsKey('get_attr_values')) {
      List<dynamic> values =
          map['get_attr_values'] as List<dynamic>;
      result.getAttrValues = List.generate(values.length, (index) =>
        GeoAnalyticsValue.fromMap(values[index])
      );
    }
    return result;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> map = {
      "api_name": apiName,
      'attribute': attribute,
    };
    if(getAttrValues != null) {
      map['get_attr_values'] = List.generate(getAttrValues!.length, (index) => getAttrValues![index].toJson());
    }
    return map;
  }
}

class GeoAnalyticsValue {
  String? geoBound;
  List<Map<String, dynamic>>? getAttrValues;

  static GeoAnalyticsValue fromMap(Map<String, dynamic> map) {
    GeoAnalyticsValue value = GeoAnalyticsValue();
    value.geoBound = map['geo_bound'] as String?;
    if(map.containsKey('get_attr_values')) {
      List<dynamic>? values = map['get_attr_values'] as List<dynamic>?;
      value.getAttrValues = List.generate(values!.length, (index) => values[index] as Map<String, dynamic>);
    }
    return value;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> map = {
      "geo_bound": geoBound,
    };
    if(getAttrValues != null) {
      map['get_attr_values'] = List.generate(getAttrValues!.length, (index) => getAttrValues![index]);
    }
    return map;
  }
}
