import 'package:flutter/services.dart';

final MethodChannel _restApiMethodChannel =
    MethodChannel("plugins.flutter.io/mapmyindia_rest_api");

Future<String?> autoSuggest(Map<String, dynamic> map) async {
  String? result =
      await _restApiMethodChannel.invokeMethod("restApi#autosuggest", map);
  return result;
}

Future<String?> geocode(Map<String, dynamic> map) async {
  String? result =
      await _restApiMethodChannel.invokeMethod("rest#geocode", map);
  return result;
}

Future<String?> revGeocode(Map<String, dynamic> map) async {
  String? result =
      await _restApiMethodChannel.invokeMethod("rest#revgeocode", map);
  return result;
}

Future<String?> nearby(Map<String, dynamic> map) async {
  String? result = await _restApiMethodChannel.invokeMethod("rest#nearby", map);
  return result;
}

Future<String?> direction(Map<String, dynamic> map) async {
  String? result =
      await _restApiMethodChannel.invokeMethod("rest#direction", map);
  return result;
}

Future<String?> distanceMatrix(Map<String, dynamic> map) async {
  String? result =
      await _restApiMethodChannel.invokeMethod("rest#distancematrix", map);
  return result;
}

Future<int?> feedback(Map<String, dynamic> map) async {
  int? result = await _restApiMethodChannel.invokeMethod("rest#feedback", map);
  return result;
}

Future<String?> poiAlongRoute(Map<String, dynamic> map) async {
  String? result =
      await _restApiMethodChannel.invokeMethod("rest#poialongroute", map);
  return result;
}

Future<String?> textSearch(Map<String, dynamic> map) async {
  String? result =
      await _restApiMethodChannel.invokeMethod("rest#textsearch", map);
  return result;
}

Future<String?> placeDetail(Map<String, dynamic> map) async {
  String? result =
      await _restApiMethodChannel.invokeMethod("rest#placedetail", map);
  return result;
}

Future<String?> placeDetailLegacy(Map<String, dynamic> map) async {
  String? result =
      await _restApiMethodChannel.invokeMethod("rest#placedetaillegacy", map);
  return result;
}

Future<String?> hateOsNearby(Map<String, dynamic> map) async {
  String? result =
      await _restApiMethodChannel.invokeMethod("rest#hateosnearby", map);
  return result;
}

Future<String?> geoAnalyticsList(Map<String, dynamic> map) async {
  String? result =
      await _restApiMethodChannel.invokeMethod("rest#geoanalyticslist", map);
  return result;
}

Future<String?> generateOtp(Map<String, dynamic> map) async {
  String? result =
  await _restApiMethodChannel.invokeMethod("rest#generateotp", map);
  return result;
}

Future<void> whitelist(Map<String, dynamic> map) async {
  return await _restApiMethodChannel.invokeMethod("rest#whitelist", map);
}

Future<String?> roadTrafficDetail(Map<String, dynamic> map) async {
  String? result = await _restApiMethodChannel.invokeMethod("rest#roadtrafficdetail", map);
  return result;
}

Future<String?> nearbyReport(Map<String, dynamic> map) async {
  String? result = await _restApiMethodChannel.invokeMethod("rest#nearbyreport", map);
  return result;
}
